=== debian/changelog ===
kupfer (0+v208-6) unstable; urgency=medium

  * Team upload.
  * Update debian/patches/keyring-3.patch to work with modern versions of
    Keyring (use public API where possible instead of relying on internals).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Feb 2016 21:24:45 +0300

kupfer (0+v208-5) unstable; urgency=medium

  * debian/patches/bookmarks-places.sqlite.patch:
    - Fix the error when reading firefox bookmark files (Closes: #749067). 

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 07 Jun 2014 16:16:36 +0200

kupfer (0+v208-4) unstable; urgency=low

  * debian/control:
    - New Maintainer and co-maintainer (Closes: #741022),
        PAPT as maintainer,
        Hugo Lefeuvre as uploader.
    - Changed kupfer's source webpage: The link was dead.
  * debian/copyright:
    - Changed kupfer's source webpage: The link was dead.
    - New copyright line for the new maintainer.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Wed, 21 May 2014 15:57:00 +0200

kupfer (0+v208-3) unstable; urgency=medium

  * Acknowledge NMU, thanks Sebastian!
  * debian/patches/dbus.patch:
    - Fix crash by initializing D-Bus (Closes: #717105) (LP: #1038434).
  * debian/patches/help.patch:
    - Workaround missing xml file, which prevents documentation from
      being loaded (Closes: #679296).
  * debian/patches/locales.patch:
    - Fix crash with locales not supporting dot as decimal point
      separator (Closes: #680008).
  * debian/patches/tracker-needle.patch:
    - Spawn tracker-needle instead of tracker-search-tool (Closes: #680003).
  * debian/control:
    - Use canonical URIs for Vcs-* fields.
    - Bump Standards-Version to 3.9.5.
  * debian/watch:
    - Adjust watch file to point to GitHub.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 19 Dec 2013 21:23:22 +0100

kupfer (0+v208-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer approval.
  * debian/patches/keyring-3.patch: python-keyring dropped support for
    deprecated keyring.backend. Make kupfer compatible with the new backend
    location. (Closes: #728468)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Dec 2013 21:04:54 +0100

kupfer (0+v208-2) unstable; urgency=low

  * debian/patches/uses_fragment.patch:
    - Do not die if urlparse doesn't have uses_fragment method anymore,
      recent Python versions dropped it (Closes: #678580).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 24 Jun 2012 12:34:02 +0200

kupfer (0+v208-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 11 Jun 2012 22:51:14 +0200

kupfer (0+v207-2) unstable; urgency=low

  * debian/compat:
    - Bump compatibility level to 9.
  * debian/rules:
    - Remove autogenerated files during clean phase (Closes: #671316).
  * debian/source.lintian-overrides:
    - No longer needed, lintian bug has been fixed.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 May 2012 11:46:08 +0200

kupfer (0+v207-1) unstable; urgency=low

  * New upstream release.
    - waf script is now provided unpacked.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Update new copyright information.
  * debian/source.lintian-overrides:
    - Override source-contains-waf-binary tag, waf script available in
      the tarball is actually the waf-light one.
  * debian/rules:
    - get-orig-source target is no longer needed.
  * debian/watch:
    - Adjust watch file to fetch xz tarballs.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Mar 2012 23:17:02 +0100

kupfer (0+v206+dfsg-1) unstable; urgency=low

  * Upstream tarball repacked to provide unpacked waf (Closes: #654480).
  * debian/patches/rhythmbox.patch:
    - Dropped, no longer useful: rhythmbox-client has been restored.
  * debian/control:
    - Suggest python-qrencode, required by QR module (Closes: #653541).
  * debian/rules:
    - Remove .pyc files on clean.
    - Implement a get-orig-source target to repack upstream tarball.
  * debian/watch:
    - Fix watch file to strip "+dfsg" suffix.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 10 Jan 2012 22:31:40 +0100

kupfer (0+v206-2) unstable; urgency=low

  * debian/patches/rhythmbox.patch:
    - rhythmbox-client has been temporarily removed upstream, kupfer
      plugin is no longer able to process playlist. Work-around this by
      invoking dbus-send utility directly.
  * debian/control:
    - Drop python-nautilus from Suggests.
  * debian/rules:
    - Pass --no-install-nautilus-extension to waf to avoid installing
      nautilus extension, it needs to be ported to PyGI in order to work
      with nautilus 3.x (Closes: #645857) (LP: #859104).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 19 Oct 2011 22:42:38 +0200

kupfer (0+v206-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Move python-keyring to Recommends.
    - Drop python-gnome2, and python-keyring-gnome from Recommends.
    - Add python-gdata to Suggests.
    - Bump Standards-Version to 3.9.2, no changes required.
  * debian/copyright:
    - Update new copyright information.
  * debian/doc-base, debian/docs:
    - Update to new names and locations.
  * debian/rules:
    - Update to new documentation framework.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Apr 2011 10:58:15 +0200

kupfer (0+v204-1) unstable; urgency=low

  * New upstream release.
    - Use INT64 signal parameter type (Closes: #615060).
  * debian/patches/debian_path.patch:
    - Removed, obsolete
  * debian/patches/evolution_contacts.patch:
    - Dropped, applied upstream.
  * debian/control:
    - Build-depend on gnome-doc-utils to allow installation of
      help files (Closes: #618499).
  * debian/rules
    - Install kupfer-activate.sh alias.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 20 Mar 2011 18:00:52 +0100

kupfer (0+v203-2) unstable; urgency=low

  * Upload to unstable.
  * Switch to dh_python2.
  * debian/copyright:
    - Update copyright years.


