## kupfer 0%2Bv319

=== debian/changelog ===
kupfer (0+v319-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field

  [ Hugo Lefeuvre ]
  * debian/control:
    - Bump Standards-Version to 4.1.5.
    - Depend on debhelper >= 11 instead of >= 10.
    - Update Vcs-* fields for Salsa migration.
  * Bump compat from 10 to 11.
  * debian/copyright:
    - Update copyright years.
    - Use HTTPS protocol in d/copyright urls.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 31 Jul 2018 20:22:19 +0800

kupfer (0+v319-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 4.1.0.
    - Add missing dh-python Build-Dependency.
  * debian/rules:
    - Build and install documentation in dh_installdocs instead of
      dh_auto_install.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 24 Sep 2017 18:26:06 +0200

kupfer (0+v319-1) experimental; urgency=low

  * New upstream release (Closes: #854297).
    - Port to Python 3.
    - Port to GTK+3 (Closes: #827350)
    - Support MATE (Closes: #778313).
    - Fix support of Firefox bookmarks (Closes: #787094).
  * Bump compatibility level to 10.
  * debian/control, debian/copyright:
    - Update Hugo Lefeuvre's e-mail address.
  * debian/control:
    - Bump Standards-Version to 3.9.8.
    - Bump debhelper Build-Dependency to (>= 10).
    - Update all Build-Dependencies and Dependencies to match new upstream
      version (Closes: #844153).
    - Update Homepage field.
    - Use HTTPS protocol in Vcs-Browser field.
    - Remove useless X-Python-Version field and add X-Python3-Version.
  * debian/copyright:
    - Remove copyright fields for files that are no longer present.
    - Update Source field to match new website.
    - Update copyright years.
    - Use HTTPS protocol in Format field.
  * debian/rules:
    - don't pass --no-install-nautilus-extension to waf script anymore since
      kupfer has been ported to GTK+3 and pyGI.
  * Remove debian/menu (useless because of provided .desktop files).
  * debian/patches:
    - Drop all patches, either integrated by upstream or deprecated.
    - Add debian/patches/fix-desktop-file.patch.
  * Remove debian/kupfer.py, debian/install and stop overriding dh_fixperm in
    debian/rules: Upstream now provides entry points.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 04 Apr 2017 17:41:23 +0200
