=== debian/control ===
Source: kupfer
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: gettext,
                     gnome-doc-utils,
                     intltool,
                     python3-all,
                     python3-docutils,
                     dh-python
Standards-Version: 4.1.5
Homepage: https://kupferlauncher.github.io/
Vcs-Git: https://salsa.debian.org/python-team/applications/kupfer.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/kupfer

Package: kupfer
Architecture: all
Depends: python3-dbus,
         python3-xdg,
         python3-gi-cairo,
         gir1.2-gtk-3.0,
         gir1.2-keybinder-3.0,
         ${misc:Depends},
         ${python3:Depends}
Recommends: yelp, python3-wnck (>= 3.20)
Suggests: python3-setproctitle, gir1.2-appindicator3-0.1
Description: fast and lightweight desktop summoner/launcher
 Kupfer is a summoner/launcher in the style of Quicksilver or GNOME Do. It
 can search and browse your files, launch desired applications and object you
 need in a quicker way.
 .
 Kupfer is written in Python 3 and has a flexible architecture based on plugins
 to extend its features.
