## kupfer 0%2Bv320

=== debian/changelog ===
kupfer (0+v320-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Hugo Lefeuvre ]
  * New upstream release.
    - Use itstool instead of xml2po.
  * debian/watch: Point to new upstream repo, use version=4.
  * debian/control: Build-Depend on itstool and not deprecated
    gnome-doc-utils (Closes: #947533).
  * debian/rules: use --no-hooks

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 25 Oct 2020 14:50:07 +0000

kupfer (0+v319-5) unstable; urgency=medium

  * Fix ayatana patch: misplaced else block leads to AppIndicator3 being
    systematically imported when AyatanaAppIndicator3 is available.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 08 Aug 2019 10:40:15 +0200

kupfer (0+v319-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Hugo Lefeuvre ]
  * Switch to Ayatana AppIndicator (Closes: #906043):
    - Patch by Mike Gabriel, thanks!
    - debian/patches: Add ayatana-appindicator.patch.
    - debian/control: Prefer building against Ayatana AppIndicator shared lib.
    - Additionally provide 16x16 application icon, fixes display problem when
      kupfer is used in AppIndicator mode on i3 (which lacks AppIndicator and
      triggers the fallback GtkStatusIcon code in AppIndicator).
  * debian/control:
    - Bump Standards-Version to 4.4.0.
    - Depend on debhelper dependency to 12.
    - Remove non existing binary dependency python3-wnck.
    - Instead recommend gir1.2-wnck-3.0 (Closes: #876754).
  * debian/copyright:
    - Update copyright years.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 04 Aug 2019 13:40:25 +0200
