## kupfer 0+pb1.1

=== wscript ===
--- 
+++ 
@@ -4,6 +4,7 @@
 import os
 import sys
 import Configure
+import Options
 import Utils
 
 # the following two variables are used by the target "waf dist"
@@ -73,6 +74,14 @@
 	opt.tool_options("python")
 	opt.tool_options("misc")
 	opt.tool_options("gnu_dirs")
+	opt.add_option('--nopyo',action='store_false',default=False,help='Do not install optimised compiled .pyo files [This is the default for Kupfer]',dest='pyo')
+	opt.add_option('--pyo',action='store_true',default=False,help='Install optimised compiled .pyo files [Default:not install]',dest='pyo')
+	opt.add_option('--no-runtime-deps',action='store_false',default=True,
+			help='Do not check for any runtime dependencies',dest='check_deps')
+	opt.add_option('--pythondir-install',action='store_true',default=False,
+			help="Install Kupfer's modules as standard python modules [Default: Install into DATADIR]",
+			dest='pythondir_install')
+	opt.sub_options("extras")
 
 def configure(conf):
 	conf.check_tool("python")
@@ -81,6 +90,18 @@
 
 	# BUG: intltool requires gcc
 	conf.check_tool("gcc intltool")
+
+	conf.env["KUPFER"] = Utils.subst_vars("${BINDIR}/kupfer", conf.env)
+	conf.env["VERSION"] = VERSION
+	conf.sub_config("extras")
+
+	if not Options.options.pythondir_install:
+		conf.env["PYTHONDIR"] = Utils.subst_vars("${DATADIR}/kupfer", conf.env)
+	Utils.pprint("NORMAL",
+			"Installing python modules into: %(PYTHONDIR)s" % conf.env)
+
+	if not Options.options.check_deps:
+		return
 
 	python_modules = """
 		gio
@@ -93,10 +114,20 @@
 
 	Utils.pprint("NORMAL", "Checking optional dependencies:")
 
-	opt_programs = ["dbus-send"]
-	opt_pymodules = "wnck gnome.ui".split()
+	opt_programs = {
+			"dbus-send": "Focus kupfer from the command line",
+			"rst2man": "Generate and install man page",
+		}
+	opt_pymodules = {
+			"wnck": "Identify and focus running applications",
+			"gnome": ("Log out cleanly with session managers *OTHER* than "
+				"gnome-session >= 2.24"),
+		}
+
 	for prog in opt_programs:
-		prog_path = conf.find_program(prog)
+		prog_path = conf.find_program(prog, var=prog.replace("-", "_").upper())
+		if not prog_path:
+			Utils.pprint("YELLOW", "Optional, allows: %s" % opt_programs[prog])
 
 	try:
 		conf.check_python_module("keybinder")
@@ -108,37 +139,49 @@
 		try:
 			conf.check_python_module(mod)
 		except Configure.ConfigurationError, e:
-			Utils.pprint("YELLOW", "python module %s is recommended" % mod)
-
-	conf.env["KUPFER"] = Utils.subst_vars("${BINDIR}/kupfer", conf.env)
-	conf.env["VERSION"] = VERSION
-
-	# Check sys.path
-	Utils.pprint("NORMAL", "Installing python modules into: %(PYTHONDIR)s" % conf.env)
-	pipe = os.popen("""%(PYTHON)s -c "import sys; print '%(PYTHONDIR)s' in sys.path" """ % conf.env)
-	if "False" in pipe.read():
-		Utils.pprint("YELLOW", "Please add %(PYTHONDIR)s to your sys.path!" % conf.env)
-
-def new_module(bld, name, sources=None):
-	if not sources: sources = name
+			Utils.pprint("YELLOW", "module %s is recommended, allows %s" % (
+				mod, opt_pymodules[mod]))
+
+
+def _new_package(bld, name):
+	"""Add module @name to sources to be installed,
+	where the name is the full (relative) path to the package
+	"""
 	obj = bld.new_task_gen("py")
-	obj.find_sources_in_dirs(sources)
+	obj.find_sources_in_dirs(name)
 	obj.install_path = "${PYTHONDIR}/%s" % name
 	return obj
 
+def _find_packages_in_directory(bld, name):
+	"""Go through directory @name and recursively add all
+	Python packages with contents to the sources to be installed
+	"""
+	for dirname, dirs, filenames in os.walk(name):
+		if "__init__.py" in filenames:
+			_new_package(bld, dirname)
+
+def _dict_slice(D, keys):
+	return dict((k,D[k]) for k in keys)
+
 def build(bld):
+	# always read new version
+	bld.env["VERSION"] = VERSION
 	# kupfer module version info file
 	version_subst_file = "kupfer/version_subst.py"
 	obj = bld.new_task_gen("subst",
 		source=version_subst_file + ".in",
 		target=version_subst_file,
 		install_path="${PYTHONDIR}/kupfer",
-		dict = bld.env,
-		)
-
-	# modules
-	new_module(bld, "kupfer")
-	new_module(bld, "kupfer/plugin")
+		dict = _dict_slice(bld.env,"VERSION DATADIR PACKAGE LOCALEDIR".split())
+		)
+
+	obj = bld.new_task_gen(
+		source="kupfer.py",
+		install_path="${PYTHONDIR}"
+		)
+
+	# Add all Python packages recursively
+	_find_packages_in_directory(bld, "kupfer")
 
 	# binary
 	# Subst in the python version
@@ -150,29 +193,51 @@
 		target = "data/kupfer",
 		install_path = "${BINDIR}",
 		chmod = 0755,
-		dict = {"PYTHON": bld.env["PYTHON"]}
-		)
-
-	bld.add_subdirs("po data")
+		dict = _dict_slice(bld.env, "PYTHON PYTHONDIR".split())
+		)
+	# Documentation
+	if bld.env["RST2MAN"]:
+		# generate man page from Quickstart.rst
+		bld.new_task_gen(
+			source = "Documentation/Quickstart.rst",
+			target = "kupfer.1",
+			rule = 'rst2man ${SRC} > ${TGT}',
+		)
+		bld.add_group()
+		# compress and install man page
+		bld.new_task_gen(
+			source = "kupfer.1",
+			target = "kupfer.1.gz",
+			rule = 'gzip -c ${SRC} > ${TGT}',
+			install_path = "${MANDIR}/man1",
+		)
+
+	bld.add_subdirs("po data extras")
 
 def intlupdate(util):
-	"""Extract new strings for localization"""
-	os.popen("intltool-extract --type=gettext/glade data/preferences.ui")
-	os.chdir("po")
-	for line in open("LINGUAS"):
-		""" Run xgettext for all listed languages
-		to extract translatable strings and merge with
-		the old file """
-		if line.startswith("#"):
-			continue
-		lang = line.strip()
-
-		lang_file = "%s.po" % lang
-		if not os.path.exists(lang_file):
-			print "Creating %s" % lang_file
-			os.popen("xgettext -D .. -f POTFILES.in --output=%s -F" % lang_file)
-		print "Processing", lang
-		os.popen("intltool-update %s" % lang)
+	print "You should use intltool-update directly."
+	print "You can read about this in Documentation/Manual.rst"
+	print "in the localization chapter!"
+
+def test(bld):
+	# find all files with doctests
+	python = os.getenv("PYTHON", "python")
+	paths = os.popen("grep -lR 'doctest.testmod()' kupfer/").read().split()
+	os.putenv("PYTHONPATH", ".")
+	all_success = True
+	verbose = ("-v" in sys.argv)
+	for p in paths:
+		print p
+		cmd = [python, p]
+		if verbose:
+			cmd.append("-v")
+		sin, souterr = os.popen4(cmd)
+		sin.close()
+		res = souterr.read()
+		souterr.close()
+		print (res or "OK")
+		all_success = all_success and bool(res)
+	return all_success
 
 def shutdown():
 	pass
