=== debian/changelog ===
kupfer (0+pb1.1-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:11:23 +0100
