=== debian/control ===
Source: kupfer
Section: utils
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python-support (>= 0.5.3), python (>= 2.5), gettext, intltool, python-docutils
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://kaizer.se/wiki/kupfer/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/kupfer/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/kupfer/trunk/

Package: kupfer
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gobject (>= 2.18), python-gtk2 (>= 2.14), python-xdg, python-dbus, dbus, python-keybinder
Recommends: python-gnome2, python-wnck
Suggests: python-cjson, python-nautilus
Description: fast and lightweight desktop summoner/launcher
 Kupfer is a summoner/launcher in the style of Quicksilver or GNOME Do. It
 can search and browse your files, launch desired applications and object you
 need in a quicker way.
 . 
 Kupfer is written in Python and has a flexible architecture based on plugins
 to extend its features.
