=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	./waf distclean
	rm -fr build
	dh $@

override_dh_auto_configure:
	PYTHONDIR=/usr/share/kupfer ./waf configure --prefix=/usr --bindir=/usr/share/kupfer --no-runtime-deps

override_dh_auto_install:
	./waf install --nopyc --nopyo --destdir=$(CURDIR)/debian/kupfer
	rm -f $(CURDIR)/debian/kupfer/usr/share/kupfer/art/COPYING
	rst2html Documentation/Manual.rst build/manual.html
	rst2man Documentation/Quickstart.rst build/kupfer.1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/kupfer/usr/share/kupfer/kupfer.py
