=== debian/watch ===
version=3
opts=uversionmangle=s/^/0\+pb/ \
http://kaizer.se/publicfiles/kupfer/kupfer-pandoras-box-([0-9.]+)\.tar\.gz
