## kupfer 0+v201

=== wscript ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #! /usr/bin/env python
 # encoding: utf-8
+
+# Kupfer's main wscript description file for Waf, written by Ulrik Sverdrup
+# may be distributed, changed, used, etc freely for any purpose
 
 import os
 import sys
@@ -32,42 +35,66 @@
 		global VERSION
 		VERSION = version
 
+def _write_git_version():
+	""" Write the revision to a file called GIT_VERSION,
+	to grab the current version number from git when
+	generating the dist tarball."""
+	version = _get_git_version()
+	if not version:
+		return False
+	version_file = open("GIT_VERSION", "w")
+	version_file.write(version + "\n")
+	version_file.close()
+	return True
+
+
 _read_git_version()
-
-VERSION_MAJOR_MINOR = ".".join(VERSION.split(".")[0:2])
 
 # these variables are mandatory ('/' are converted automatically)
 srcdir = '.'
 blddir = 'build'
 
-def dist_hook():
-	"""in the dist preparation dir, delete unwanted files"""
-	DIST_GIT_IGNORE = """
-		debug.py
-		makedist.sh
-		""".split()
-
-	for ignfile in filter(os.path.exists, DIST_GIT_IGNORE):
-		os.unlink(ignfile)
+config_subdirs = "auxdata extras help"
+build_subdirs = "auxdata data po extras help"
+
+EXTRA_DIST = [
+	"waf",
+	"GIT_VERSION",
+]
+
+def _tarfile_append_as(tarname, filename, destname):
+	import tarfile
+	tf = tarfile.TarFile.open(tarname, "a")
+	try:
+		tf.add(filename, destname)
+	finally:
+		tf.close()
+
+def gitdist(ctx):
+	"""Make the release tarball using git-archive"""
+	import subprocess
+	if not _write_git_version():
+		raise Exception("No version")
+	basename = "%s-%s" % (APPNAME, VERSION)
+	outname = basename + ".tar"
+	proc = subprocess.Popen(
+		["git", "archive", "--format=tar", "--prefix=%s/" % basename, "HEAD"],
+		stdout=subprocess.PIPE)
+	fd = os.open(outname, os.O_CREAT | os.O_EXCL | os.O_WRONLY, 0666)
+	os.write(fd, proc.communicate()[0])
+	os.close(fd)
+	for distfile in EXTRA_DIST:
+		_tarfile_append_as(outname, distfile, os.path.join(basename, distfile))
+	subprocess.call(["gzip", outname])
+	subprocess.call(["sha1sum", outname + ".gz"])
 
 def dist():
-	"""Make the dist tarball and print its SHA-1 """
-	def write_git_version():
-		""" Write the revision to a file called GIT_VERSION,
-		to grab the current version number from git when
-		generating the dist tarball."""
-		version = _get_git_version()
-		if not version:
-			return False
-		version_file = open("GIT_VERSION", "w")
-		version_file.write(version + "\n")
-		version_file.close()
-		return True
-
+	"The standard waf dist process"
 	import Scripting
-	write_git_version()
+	_write_git_version()
 	Scripting.g_gz = "gz"
 	Scripting.dist(APPNAME, VERSION)
+
 
 def set_options(opt):
 	# options for disabling pyc or pyo compilation
@@ -78,14 +105,19 @@
 	opt.add_option('--pyo',action='store_true',default=False,help='Install optimised compiled .pyo files [Default:not install]',dest='pyo')
 	opt.add_option('--no-runtime-deps',action='store_false',default=True,
 			help='Do not check for any runtime dependencies',dest='check_deps')
-	opt.add_option('--pythondir-install',action='store_true',default=False,
-			help="Install Kupfer's modules as standard python modules [Default: Install into DATADIR]",
-			dest='pythondir_install')
-	opt.sub_options("extras")
+	opt.sub_options(config_subdirs)
 
 def configure(conf):
 	conf.check_tool("python")
-	conf.check_python_version((2,5,0))
+	try:
+		conf.check_python_version((2,6,0))
+	except Configure.ConfigurationError:
+		# with explicitly set python that is not found, we
+		# must show an error
+		if os.getenv("PYTHON"):
+			raise
+		conf.env["PYTHON"] = "python2.6"
+		conf.check_python_version((2,6,0))
 	conf.check_tool("misc gnu_dirs")
 
 	# BUG: intltool requires gcc
@@ -93,10 +125,10 @@
 
 	conf.env["KUPFER"] = Utils.subst_vars("${BINDIR}/kupfer", conf.env)
 	conf.env["VERSION"] = VERSION
-	conf.sub_config("extras")
-
-	if not Options.options.pythondir_install:
-		conf.env["PYTHONDIR"] = Utils.subst_vars("${DATADIR}/kupfer", conf.env)
+	conf.sub_config(config_subdirs)
+
+	# Setup PYTHONDIR so we install into $DATADIR
+	conf.env["PYTHONDIR"] = Utils.subst_vars("${DATADIR}/kupfer", conf.env)
 	Utils.pprint("NORMAL",
 			"Installing python modules into: %(PYTHONDIR)s" % conf.env)
 
@@ -108,6 +140,7 @@
 		gtk
 		xdg
 		dbus
+		keyring
 		"""
 	for module in python_modules.split():
 		conf.check_python_module(module)
@@ -150,7 +183,19 @@
 	obj = bld.new_task_gen("py")
 	obj.find_sources_in_dirs(name)
 	obj.install_path = "${PYTHONDIR}/%s" % name
-	return obj
+
+	# Find embedded package datafiles
+	pkgnode = bld.path.find_dir(name)
+	bld.rescan(pkgnode)
+
+	def is_datafile(fname):
+		if fname in ["icon-list"]:
+			return True
+		return os.path.splitext(fname)[-1] in set([".png", ".svg"])
+
+	for dfile in filter(is_datafile, bld.cache_dir_contents[pkgnode.id]):
+		bld.install_files(obj.install_path,
+				"%s/%s" % (pkgnode.abspath(), dfile))
 
 def _find_packages_in_directory(bld, name):
 	"""Go through directory @name and recursively add all
@@ -166,6 +211,8 @@
 def build(bld):
 	# always read new version
 	bld.env["VERSION"] = VERSION
+
+	# kupfer/
 	# kupfer module version info file
 	version_subst_file = "kupfer/version_subst.py"
 	obj = bld.new_task_gen("subst",
@@ -183,19 +230,24 @@
 	# Add all Python packages recursively
 	_find_packages_in_directory(bld, "kupfer")
 
-	# binary
-	# Subst in the python version
-	# We have to put this in an intermediate build directory,
-	# inside data/ not to clash with the 'kupfer' module(!)
-	binary_subst_file = "kupfer-activate.sh"
-	bin = bld.new_task_gen("subst",
-		source = binary_subst_file,
-		target = "data/kupfer",
+	# bin/
+	# Write in some variables in the shell script binaries
+	bld.new_task_gen("subst",
+		source = "bin/kupfer.in",
+		target = "bin/kupfer",
 		install_path = "${BINDIR}",
 		chmod = 0755,
 		dict = _dict_slice(bld.env, "PYTHON PYTHONDIR".split())
 		)
-	# Documentation
+	bld.new_task_gen("subst",
+		source = "bin/kupfer-exec.in",
+		target = "bin/kupfer-exec",
+		install_path = "${BINDIR}",
+		chmod = 0755,
+		dict = _dict_slice(bld.env, "PACKAGE LOCALEDIR".split())
+		)
+
+	# Documentation/
 	if bld.env["RST2MAN"]:
 		# generate man page from Quickstart.rst
 		bld.new_task_gen(
@@ -205,14 +257,19 @@
 		)
 		bld.add_group()
 		# compress and install man page
-		bld.new_task_gen(
+		manpage = bld.new_task_gen(
 			source = "kupfer.1",
 			target = "kupfer.1.gz",
-			rule = 'gzip -c ${SRC} > ${TGT}',
+			rule = 'gzip -9 -c ${SRC} > ${TGT}',
 			install_path = "${MANDIR}/man1",
 		)
-
-	bld.add_subdirs("po data extras")
+		man_path = Utils.subst_vars(
+				os.path.join(manpage.install_path, manpage.target),
+				bld.env)
+		bld.symlink_as("${MANDIR}/man1/kupfer-exec.1.gz", man_path)
+
+	# Separate subdirectories
+	bld.add_subdirs(build_subdirs)
 
 def intlupdate(util):
 	print "You should use intltool-update directly."
