=== extras/wscript ===
import Options, Utils
import os

def set_options(opt):
	opt.add_option('--no-install-nautilus-extension',
			action='store_true',
			default=False,
			help='Install Kupfer Nautilus Extension [Default:Install]')

def configure(conf):
	if Options.options.no_install_nautilus_extension:
		return
	libdir = Utils.subst_vars("${LIBDIR}", conf.env)
	if libdir.startswith(os.path.expanduser("~/")):
		NAUTILUS_EXT_LIBDIR=os.path.expanduser("~/.nautilus/python-extensions/")
	else:
		NAUTILUS_EXT_LIBDIR=os.path.join(libdir, "nautilus", "extensions-2.0",
				"python")
	conf.env["NAUTILUS_EXT_LIBDIR"] = NAUTILUS_EXT_LIBDIR

def build(bld):
	if not bld.env["NAUTILUS_EXT_LIBDIR"]:
		return
	bld.install_files("${NAUTILUS_EXT_LIBDIR}", "kupfer_provider.py")
