=== debian/changelog ===
kupfer (0+v201-2+squeeze2) stable; urgency=low

  * debian/patches/evolution_contacts.patch:
    - Do not crash if Evolution address book is missing (Closes: #632933).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 08 Jul 2011 19:39:20 +0200

kupfer (0+v201-2+squeeze1) stable; urgency=low

  * debian/patches/TYPE_UINT.patch:
    - Backport a fix from upstream git repository, use UINT signal
      parameter type to fix an issue with ui.keybindings (Closes: #615060).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 14 Apr 2011 22:26:38 +0200
