=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod +x debian/kupfer/usr/share/kupfer/kupfer.py
-
